1

I have applied patch SUPEE-6285. Previously i have applied SUPEE-5994.

My Magento version is 1.9.1.0.

I get below in my Terminal window. Is the patch properly installed?

sh PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh
PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh: 14: PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh: 127: not found
PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh: 14: PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh: 127: not found
PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh: 25: PATCH_SUPEE-6285_CE_1.9.1.1_v2-2015-07-08-08-07-43.sh: 0: not found
Checking if patch can be applied/reverted successfully...
-e ERROR: Patch can't be applied/reverted successfully.

checking file app/Mage.php
checking file app/code/community/Phoenix/Moneybookers/controllers/MoneybookersController.php
checking file app/code/core/Mage/Adminhtml/Controller/Action.php
checking file app/code/core/Mage/Adminhtml/controllers/AjaxController.php
checking file app/code/core/Mage/Adminhtml/controllers/Catalog/Category/WidgetController.php
checking file app/code/core/Mage/Adminhtml/controllers/Catalog/Product/DatafeedsController.php
checking file app/code/core/Mage/Adminhtml/controllers/Catalog/Product/ReviewController.php
checking file app/code/core/Mage/Adminhtml/controllers/Catalog/Product/WidgetController.php
checking file app/code/core/Mage/Adminhtml/controllers/Cms/Block/WidgetController.php
checking file app/code/core/Mage/Adminhtml/controllers/Cms/Page/WidgetController.php
checking file app/code/core/Mage/Adminhtml/controllers/Cms/PageController.php
checking file app/code/core/Mage/Adminhtml/controllers/Cms/WysiwygController.php
checking file app/code/core/Mage/Adminhtml/controllers/Customer/System/Config/ValidatevatController.php
checking file app/code/core/Mage/Adminhtml/controllers/JsonController.php
checking file app/code/core/Mage/Adminhtml/controllers/NotificationController.php
checking file app/code/core/Mage/Adminhtml/controllers/Report/CustomerController.php
checking file app/code/core/Mage/Adminhtml/controllers/Report/ProductController.php
checking file app/code/core/Mage/Adminhtml/controllers/Report/ReviewController.php
checking file app/code/core/Mage/Adminhtml/controllers/Report/SalesController.php
checking file app/code/core/Mage/Adminhtml/controllers/Report/ShopcartController.php
checking file app/code/core/Mage/Adminhtml/controllers/Report/TagController.php
checking file app/code/core/Mage/Adminhtml/controllers/ReportController.php
checking file app/code/core/Mage/Adminhtml/controllers/Rss/CatalogController.php
checking file app/code/core/Mage/Adminhtml/controllers/Rss/OrderController.php
checking file app/code/core/Mage/Adminhtml/controllers/Sales/Billing/AgreementController.php
checking file app/code/core/Mage/Adminhtml/controllers/Sales/Order/View/GiftmessageController.php
checking file app/code/core/Mage/Adminhtml/controllers/Sales/Recurring/ProfileController.php
checking file app/code/core/Mage/Adminhtml/controllers/Sales/TransactionsController.php
checking file app/code/core/Mage/Adminhtml/controllers/System/Config/System/StorageController.php
checking file app/code/core/Mage/Adminhtml/controllers/TagController.php
checking file app/code/core/Mage/Adminhtml/controllers/Tax/RateController.php
checking file app/code/core/Mage/Adminhtml/controllers/TaxController.php
checking file app/code/core/Mage/Api2/controllers/Adminhtml/Api2/AttributeController.php
checking file app/code/core/Mage/Bundle/controllers/Adminhtml/Bundle/SelectionController.php
checking file app/code/core/Mage/Captcha/controllers/Adminhtml/RefreshController.php
checking file app/code/core/Mage/Centinel/controllers/Adminhtml/Centinel/IndexController.php
checking file app/code/core/Mage/Checkout/controllers/MultishippingController.php
checking file app/code/core/Mage/Connect/controllers/Adminhtml/Extension/LocalController.php
checking file app/code/core/Mage/ImportExport/Model/Abstract.php
checking file app/code/core/Mage/Oauth/controllers/Adminhtml/Oauth/AuthorizeController.php
checking file app/code/core/Mage/Paygate/controllers/Adminhtml/Paygate/Authorizenet/PaymentController.php
checking file app/code/core/Mage/Paypal/controllers/Adminhtml/Paypal/ReportsController.php
checking file app/code/core/Mage/Rss/controllers/CatalogController.php
checking file app/code/core/Mage/Rss/controllers/OrderController.php
checking file app/code/core/Mage/Widget/Block/Adminhtml/Widget/Chooser.php
checking file app/code/core/Mage/Widget/controllers/Adminhtml/WidgetController.php
checking file app/design/frontend/base/default/template/checkout/cart.phtml
checking file app/design/frontend/base/default/template/checkout/cart/noItems.phtml
checking file app/design/frontend/base/default/template/checkout/onepage/failure.phtml
checking file app/design/frontend/base/default/template/rss/order/details.phtml
checking file app/design/frontend/base/default/template/wishlist/email/rss.phtml
can't find file to patch at input line 894
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/design/frontend/default/modern/template/checkout/cart.phtml app/design/frontend/default/modern/template/checkout/cart.phtml
|index 43698c2..f4fe5ab 100644
|--- app/design/frontend/default/modern/template/checkout/cart.phtml
|+++ app/design/frontend/default/modern/template/checkout/cart.phtml
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
checking file app/design/frontend/rwd/default/template/checkout/cart.phtml
checking file downloader/Maged/.htaccess
checking file downloader/Maged/Controller.php
checking file downloader/Maged/Model/Session.php
checking file downloader/lib/.htaccess
checking file downloader/template/connect/packages.phtml
checking file downloader/template/connect/packages_prepare.phtml
Hunk #1 FAILED at 33.
1 out of 1 hunk FAILED
checking file downloader/template/login.phtml
checking file downloader/template/settings.phtml
checking file errors/processor.php
www-data@www2:~/magento$
2

You removed the default/modern theme but the patch tries to patch cart.phtml in this theme too.

Solution: Add app/design/frontend/default/modern from a fresh Magento download (should be the same version as your shop). You can also use this mirror: https://github.com/firegento/magento. Then after applying the patch successfully you may remove the theme again.

  • what do you mean exactly with You can also use this mirror? What do i have to do? – Meez Jul 22 '15 at 12:48
  • In the description there are links with all the available CE versions. Click on yours, then click "Download ZIP" in the right column – Fabian Schmengler Jul 22 '15 at 12:50
  • What i did was from the first patch (SUPEE-5344 and SUPEE-1533) was download the wright version, upload to root and apply the patch with SSH. Could it be maybe that those first patches also not successful applied? How do i check that? Or is that not the problem? – Meez Jul 23 '15 at 8:56
  • The problem is, that the default/modern theme is missing. I don't know if you applied the previous patches. To check it, see here: magento.stackexchange.com/questions/74270/… – Fabian Schmengler Jul 23 '15 at 9:06
  • About previous installed patches: In applied.patches.list i see -e 2015-04-29 11:44:55 UTC | SUPEE-5344 | EE_1.14.1.0 | v1 | a5c9abcb6a387aabd6b33ebcb79f6b7a97bbde77 | Thu Feb 5 19:14:49 2015 +0200 | v1.14.1.0..HEAD patching file app/code/core/Mage/Admin/Model/Observer.php patching file app/code/core/Mage/Core/Controller/Request/Http.php patching file app/code/core/Mage/Oauth/controllers/Adminhtml/Oauth/AuthorizeController.php patching file app/code/core/Mage/XmlConnect/Model/Observer.php patching file lib/Varien/Db/Adapter/Pdo/Mysql.php Does this mean only SUPEE-5344 has been installed? – Meez Jul 23 '15 at 21:04
1

do you have the previous patches installed? If not, you will need to install them before SUPEE-6285. This is likely what is causing the problem.

Alternatively, you can upgrade to 1.9.2 which includes SUPEE-5344, SUPEE-5994 and SUPEE-6285.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.